Subject: Reappointment of Nevil Brownlee as Independent Submission Editor

From: IAB Chair <[email-masked]>
Date: Sun, 26 Oct 2014 12:06:01 -0400

The Internet Architecture Board is pleased to announce the reappointment of
Nevil Brownlee as the Independent Submission Editor (ISE). The IAB received
a significant number of comments saying that Nevil is doing a superior job.
This appointment is for a two year term, beginning on 15 February 2015 and
ending on 14 February 2017.

On behalf of the IAB,
  Russ Housley
  IAB Chair